Been awhile since I installed any updates on my OES 11 SP3 server. I had a hard drive in my RAID set fail so I did a complete image of the drive before replacing it. Figured it was a good time to install all the patches. First update seemed go go fine. Rebooted and there were more patches. Had a bunch of stuff saying "glibc-devel-32bit-2.11.3-17.95.2.x86_64 requires glibc-32bit = 2.11.3, but this requirement cannot be provided". Also several things just do not work right. Even the desktop and nautilus were not working but I got around that by removing and add on. Firefox crashes after a few seconds with no error, just closes. Remote desktop through VNC and XRDP are broke. Get nothing but a grey or white blank screen. I do get an option to upgrade to SP4 now but I can't due to the same missing requirement. I have no clue what to do here. I could go back to the image from 2 weeks ago but I would be right back in the same situation if I tried to install the updates again.